@assets: "../../../assets";

.panel-background, .circle-background{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;

	.panel-side{
		background-image: url("@{assets}/GUI/backgroundPanel/middle.png");
		background-size: cover;
		position: absolute;
		top: 16px;
		height: calc(100% - 39px);
		left: 20px;
		width: calc(100% - 40px);

		&:not(.top):not(.bottom):not(.left):not(.right){
			background-size: 161px;
		}

		&.top{
			background-image: url("@{assets}/GUI/backgroundPanel/top.png");
			top: 0;
			height: 16px;
		}
		&.bottom{
			background-image: url("@{assets}/GUI/backgroundPanel/bottom.png");
			top: calc(100% - 23px);
			height: 23px;
		}
		&.top, &.bottom{
			background-size: auto 100%;
			background-repeat: repeat-x;
		}

		&.left{
			background-image: url("@{assets}/GUI/backgroundPanel/left.png");
			left: 0;
		}
		&.right{
			background-image: url("@{assets}/GUI/backgroundPanel/right.png");
			left: calc(100% - 20px);
		}
		&.left, &.right{
			width: 20px;
			background-size: 100% auto;
			background-repeat: repeat-y;
		}
		
		&.top.left{
			background-image: url("@{assets}/GUI/backgroundPanel/top-left.png");
		}
		&.top.right{
			background-image: url("@{assets}/GUI/backgroundPanel/top-right.png");
		}
		&.bottom.left{
			background-image: url("@{assets}/GUI/backgroundPanel/bottom-left.png");
		}
		&.bottom.right{
			background-image: url("@{assets}/GUI/backgroundPanel/bottom-right.png");
		}
		&.top.left, &.top.right, &.bottom.left, &.bottom.right {
			background-repeat: no-repeat;
			background-size: cover;
		}
	}

	.circle-side{
		background-image: url("@{assets}/GUI/backgroundCircle/circle_middle.png");
		background-size: cover;
		position: absolute;
		top: 14px;
		height: calc(100% - 31px);
		left: 14px;
		width: calc(100% - 28px);
		background-size: 100% 100%;

		&:not(.top):not(.bottom):not(.left):not(.right){
			background-repeat: no-repeat;
			background-size: cover;
		}

		&.top{
			background-image: url("@{assets}/GUI/backgroundCircle/circle_top.png");
			top: 0;
			height: 14px;
		}
		&.bottom{
			background-image: url("@{assets}/GUI/backgroundCircle/circle_bottom.png");
			top: calc(100% - 17px);
			height: 17px;
		}

		&.left{
			background-image: url("@{assets}/GUI/backgroundCircle/circle_left.png");
			left: 0;
		}
		&.right{
			background-image: url("@{assets}/GUI/backgroundCircle/circle_right.png");
			left: calc(100% - 14px);
		}
		&.left, &.right{
			width: 14px;
		}
		
		&.top.left{
			background-image: url("@{assets}/GUI/backgroundCircle/circle_top-left.png");
		}
		&.top.right{
			background-image: url("@{assets}/GUI/backgroundCircle/circle_top-right.png");
		}
		&.bottom.left{
			background-image: url("@{assets}/GUI/backgroundCircle/circle_bottom-left.png");
		}
		&.bottom.right{
			background-image: url("@{assets}/GUI/backgroundCircle/circle_bottom-right.png");
		}
	}
}

.panel.selected{
	>.panel-background>.panel-side, >.panel-side{
		background-image: url("@{assets}/GUI/backgroundPanel_selected/middle_selected.png");
		
		&.top{
			background-image: url("@{assets}/GUI/backgroundPanel_selected/top_selected.png");
		}
		&.bottom{
			background-image: url("@{assets}/GUI/backgroundPanel_selected/bottom_selected.png");
		}
		&.left{
			background-image: url("@{assets}/GUI/backgroundPanel_selected/left_selected.png");
		}
		&.right{
			background-image: url("@{assets}/GUI/backgroundPanel_selected/right_selected.png");
		}
		&.top.left{
			background-image: url("@{assets}/GUI/backgroundPanel_selected/top-left_selected.png");
		}
		&.top.right{
			background-image: url("@{assets}/GUI/backgroundPanel_selected/top-right_selected.png");
		}
		&.bottom.left{
			background-image: url("@{assets}/GUI/backgroundPanel_selected/bottom-left_selected.png");
		}
		&.bottom.right{
			background-image: url("@{assets}/GUI/backgroundPanel_selected/bottom-right_selected.png");
		}
	}
}

.panel-small, .slot-small{
	.panel-background .panel-side{
		top: 8px;
		height: calc(100% - 19.5px);
		left: 10px;
		width: calc(100% - 20px);
		&:not(.top):not(.bottom):not(.left):not(.right){
			background-size: 80.5px;
		}
		&.top{
			top: 0;
			height: 8px;
		}
		&.bottom{
			top: calc(100% - 11.5px);
			height: 11.5px;
		}

		&.left{
			left: 0;
		}
		&.right{
			left: calc(100% - 10px);
		}
		&.left, &.right{
			width: 10px;
		}
	}
}